Create Combined Task
curl --request POST \
--url https://api.example.com/api/ai/{deploymentId}/combined_task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"task": {
"deploymentId": "<string>",
"issueIds": [
"<string>"
],
"regenerate": true,
"memory": {
"id": "<string>",
"content": "<string>",
"ruleId": "<string>",
"ruleName": "<string>",
"repositoryId": "<string>",
"repositoryName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"context": [
"<string>"
],
"pathPrefixes": [
"<string>"
],
"suggestionSources": {
"sources": [
{
"note": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sampleIssueId": "<string>",
"prCommentUrl": "<string>",
"reviewCommentId": "<string>"
}
]
},
"preanalysisCounts": {
"newlyTruePositive": "<string>",
"newlyFalsePositive": "<string>",
"remainsTruePositive": "<string>",
"remainsFalsePositive": "<string>"
},
"vulnerabilityClass": "<string>",
"projectTagId": 123
}
},
"filter": {
"ids": [
"<string>"
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"repositoryNames": [
"<string>"
],
"repositoryIds": [
"<string>"
],
"repositoryTags": [
"<string>"
],
"refs": [
"<string>"
],
"repositoryRefIds": [
"<string>"
],
"aiSensitivities": [
"<string>"
],
"teamNames": [
"<string>"
],
"policySlugs": [
"<string>"
],
"rules": [
"<string>"
],
"ruleIds": [
"<string>"
],
"rulesets": [
"<string>"
],
"categories": [
"<string>"
],
"dependencies": [
"<string>"
],
"cves": [
"<string>"
],
"issueParentIds": [
"<string>"
],
"secretTypes": [
"<string>"
],
"excludeHistorical": true,
"onPrimaryBranch": true,
"includeTicketed": true,
"aiMemoryWillFlipVerdict": "<string>",
"aiMemoryReferenced": "<string>",
"includeAiMemoryRendered": true,
"aiMemoryRendered": "<string>",
"memoryIdInScope": "<string>",
"advisoryIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"includeArchived": true
}
}
'import requests
url = "https://api.example.com/api/ai/{deploymentId}/combined_task"
payload = {
"deploymentId": "<string>",
"task": {
"deploymentId": "<string>",
"issueIds": ["<string>"],
"regenerate": True,
"memory": {
"id": "<string>",
"content": "<string>",
"ruleId": "<string>",
"ruleName": "<string>",
"repositoryId": "<string>",
"repositoryName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"context": ["<string>"],
"pathPrefixes": ["<string>"],
"suggestionSources": { "sources": [
{
"note": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sampleIssueId": "<string>",
"prCommentUrl": "<string>",
"reviewCommentId": "<string>"
}
] },
"preanalysisCounts": {
"newlyTruePositive": "<string>",
"newlyFalsePositive": "<string>",
"remainsTruePositive": "<string>",
"remainsFalsePositive": "<string>"
},
"vulnerabilityClass": "<string>",
"projectTagId": 123
}
},
"filter": {
"ids": ["<string>"],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"repositoryNames": ["<string>"],
"repositoryIds": ["<string>"],
"repositoryTags": ["<string>"],
"refs": ["<string>"],
"repositoryRefIds": ["<string>"],
"aiSensitivities": ["<string>"],
"teamNames": ["<string>"],
"policySlugs": ["<string>"],
"rules": ["<string>"],
"ruleIds": ["<string>"],
"rulesets": ["<string>"],
"categories": ["<string>"],
"dependencies": ["<string>"],
"cves": ["<string>"],
"issueParentIds": ["<string>"],
"secretTypes": ["<string>"],
"excludeHistorical": True,
"onPrimaryBranch": True,
"includeTicketed": True,
"aiMemoryWillFlipVerdict": "<string>",
"aiMemoryReferenced": "<string>",
"includeAiMemoryRendered": True,
"aiMemoryRendered": "<string>",
"memoryIdInScope": "<string>",
"advisoryIds": ["<string>"],
"filePaths": ["<string>"],
"includeArchived": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
task: {
deploymentId: '<string>',
issueIds: ['<string>'],
regenerate: true,
memory: {
id: '<string>',
content: '<string>',
ruleId: '<string>',
ruleName: '<string>',
repositoryId: '<string>',
repositoryName: '<string>',
createdAt: '2023-11-07T05:31:56Z',
createdBy: '<string>',
context: ['<string>'],
pathPrefixes: ['<string>'],
suggestionSources: {
sources: [
{
note: '<string>',
createdBy: '<string>',
createdAt: '2023-11-07T05:31:56Z',
sampleIssueId: '<string>',
prCommentUrl: '<string>',
reviewCommentId: '<string>'
}
]
},
preanalysisCounts: {
newlyTruePositive: '<string>',
newlyFalsePositive: '<string>',
remainsTruePositive: '<string>',
remainsFalsePositive: '<string>'
},
vulnerabilityClass: '<string>',
projectTagId: 123
}
},
filter: {
ids: ['<string>'],
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
repositoryNames: ['<string>'],
repositoryIds: ['<string>'],
repositoryTags: ['<string>'],
refs: ['<string>'],
repositoryRefIds: ['<string>'],
aiSensitivities: ['<string>'],
teamNames: ['<string>'],
policySlugs: ['<string>'],
rules: ['<string>'],
ruleIds: ['<string>'],
rulesets: ['<string>'],
categories: ['<string>'],
dependencies: ['<string>'],
cves: ['<string>'],
issueParentIds: ['<string>'],
secretTypes: ['<string>'],
excludeHistorical: true,
onPrimaryBranch: true,
includeTicketed: true,
aiMemoryWillFlipVerdict: '<string>',
aiMemoryReferenced: '<string>',
includeAiMemoryRendered: true,
aiMemoryRendered: '<string>',
memoryIdInScope: '<string>',
advisoryIds: ['<string>'],
filePaths: ['<string>'],
includeArchived: true
}
})
};
fetch('https://api.example.com/api/ai/{deploymentId}/combined_task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"numAnalyzed": "<string>",
"groupId": "<string>",
"failures": [
{
"issueParentId": "<string>",
"message": "<string>"
}
],
"usageInfo": {
"used": "<string>",
"maxAllowed": "<string>"
}
}Ai Tasks
Create Combined Task
Create a combined task for a deployment
POST
/
api
/
ai
/
{deploymentId}
/
combined_task
Create Combined Task
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
Was this page helpful?
⌘I